NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::MechanicalRouting::EditPointBuilder Class Reference

Represents NXOpen::MechanicalRouting::EditPointBuilder . More...

Inheritance diagram for NXOpen::MechanicalRouting::EditPointBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  Editsegmenttype { EditsegmenttypeNone, EditsegmenttypeLength, EditsegmenttypeAngle }
 Specifies the options available for Edit Segment motion. More...
 
enum  Motiontype { MotiontypeMovePoint, MotiontypeEditSegment }
 Specifies the options available for motion. More...
 

Public Member Functions

NXOpen::MechanicalRouting::EditPointBuilder::Editsegmenttype ActiveEditSegmentType ()
 Returns the edit segment type setting Allows you to specify the type of edit in edit segment motion. More...
 
NXOpen::MechanicalRouting::EditPointBuilder::Motiontype ActiveMotionType ()
 Returns the motion type setting. More...
 
double BendAngle ()
 Returns the bend angle setting. More...
 
void DragObjects ()
 Perform a drag operation. More...
 
bool IsDetachObject ()
 Returns the detach setting. More...
 
bool MaintainAngle ()
 Returns the maintain angle setting. More...
 
bool MaintainLength ()
 Returns the maintain length setting. More...
 
NXOpen::Routing::RouteObjectCollectorPointSelection ()
 Returns the routing objects that are being edited. More...
 
void ResetDrag ()
 Reset a drag operation. More...
 
NXOpen::LineSegment ()
 Returns the segment setting. More...
 
double SegmentLength ()
 Returns the segment length setting. More...
 
void SetActiveEditSegmentType (NXOpen::MechanicalRouting::EditPointBuilder::Editsegmenttype editSegmentType)
 Sets the edit segment type setting Allows you to specify the type of edit in edit segment motion. More...
 
void SetActiveMotionType (NXOpen::MechanicalRouting::EditPointBuilder::Motiontype motionType)
 Sets the motion type setting. More...
 
void SetBendAngle (double bendAngle)
 Sets the bend angle setting. More...
 
void SetDetachObject (bool isDetachObject)
 Sets the detach setting. More...
 
void SetMaintainAngle (bool maintainAngle)
 Sets the maintain angle setting. More...
 
void SetMaintainLength (bool maintainLength)
 Sets the maintain length setting. More...
 
void SetSegment (NXOpen::Line *segment)
 Sets the segment setting. More...
 
void SetSegmentLength (double segmentLength)
 Sets the segment length setting. More...
 
void StartDrag ()
 Begin a drag operation. More...
 
void StopDrag ()
 End a drag operation. More...
 
NXOpen::MechanicalRouting::TransformBlockBuilderTransformTool ()
 Returns the transform tool. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents NXOpen::MechanicalRouting::EditPointBuilder .


To create a new instance of this class, use NXOpen::MechanicalRouting::BuilderFactory::CreateEditPointBuilder

Created in NX11.0.0.

Member Enumeration Documentation

Specifies the options available for Edit Segment motion.

Enumerator
EditsegmenttypeNone 

Move Point Motion.

EditsegmenttypeLength 

Edit length type in Edit Segment Motion.

EditsegmenttypeAngle 

Edit angle type in Edit Segment Motion.

Specifies the options available for motion.

Enumerator
MotiontypeMovePoint 

Move Point Motion.

MotiontypeEditSegment 

Edit Segment Motion.

Member Function Documentation

NXOpen::MechanicalRouting::EditPointBuilder::Editsegmenttype NXOpen::MechanicalRouting::EditPointBuilder::ActiveEditSegmentType ( )

Returns the edit segment type setting Allows you to specify the type of edit in edit segment motion.


Created in NX11.0.0.

License requirements : routing_base ("Routing Basic")

NXOpen::MechanicalRouting::EditPointBuilder::Motiontype NXOpen::MechanicalRouting::EditPointBuilder::ActiveMotionType ( )

Returns the motion type setting.

Allows you to specify the type of edit point motion to be applied.


Created in NX11.0.0.

License requirements : routing_base ("Routing Basic")

double NXOpen::MechanicalRouting::EditPointBuilder::BendAngle ( )

Returns the bend angle setting.

Allows you to specify new angle for a segment connected at the RCP or Port being edited. Reference for angle measurement is the other segment connected at the RCP or Port being edited.

Is applicable only when there are two segments connected at RCP or Port being edited.


Created in NX11.0.0.

License requirements : routing_base ("Routing Basic")

void NXOpen::MechanicalRouting::EditPointBuilder::DragObjects ( )

Perform a drag operation.

Solves the constraint network applying the transform required to move the routing object to a new position.


Created in NX11.0.0.

License requirements : routing_base ("Routing Basic")

bool NXOpen::MechanicalRouting::EditPointBuilder::IsDetachObject ( )

Returns the detach setting.

Allows you to specify if the selected object has to be detached from the segment during transformation.


Created in NX11.0.0.

License requirements : routing_base ("Routing Basic")

bool NXOpen::MechanicalRouting::EditPointBuilder::MaintainAngle ( )

Returns the maintain angle setting.

Allows you to specify if the angles between segments connected at the RCP or Port being edited must be fixed during transformation.


Created in NX11.0.0.

License requirements : routing_base ("Routing Basic")

bool NXOpen::MechanicalRouting::EditPointBuilder::MaintainLength ( )

Returns the maintain length setting.

Allows you to specify if the lengths of segments connected at the RCP or Port being edited must be fixed during transformation.


Created in NX11.0.0.

License requirements : routing_base ("Routing Basic")

NXOpen::Routing::RouteObjectCollector* NXOpen::MechanicalRouting::EditPointBuilder::PointSelection ( )

Returns the routing objects that are being edited.

The object can be a Routing Control Point or routing port or one of their occurences.


Created in NX11.0.0.

License requirements : routing_base ("Routing Basic")

void NXOpen::MechanicalRouting::EditPointBuilder::ResetDrag ( )

Reset a drag operation.

Resets the position of routing objects in constraint network back to their initial position.


Created in NX11.0.0.

License requirements : routing_base ("Routing Basic")

NXOpen::Line* NXOpen::MechanicalRouting::EditPointBuilder::Segment ( )

Returns the segment setting.

Allows you to specify a segment connected at the RCP or Port being edited.


Created in NX11.0.0.

License requirements : routing_base ("Routing Basic")

double NXOpen::MechanicalRouting::EditPointBuilder::SegmentLength ( )

Returns the segment length setting.

Allows you to specify new length for a segment connected at the RCP or Port being edited.

New length is applied on the segment by moving the RCP or Port being edited.


Created in NX11.0.0.

License requirements : routing_base ("Routing Basic")

void NXOpen::MechanicalRouting::EditPointBuilder::SetActiveEditSegmentType ( NXOpen::MechanicalRouting::EditPointBuilder::Editsegmenttype  editSegmentType)

Sets the edit segment type setting Allows you to specify the type of edit in edit segment motion.


Created in NX11.0.0.

License requirements : routing_base ("Routing Basic")

Parameters
editSegmentTypeeditsegmenttype
void NXOpen::MechanicalRouting::EditPointBuilder::SetActiveMotionType ( NXOpen::MechanicalRouting::EditPointBuilder::Motiontype  motionType)

Sets the motion type setting.

Allows you to specify the type of edit point motion to be applied.


Created in NX11.0.0.

License requirements : routing_base ("Routing Basic")

Parameters
motionTypemotiontype
void NXOpen::MechanicalRouting::EditPointBuilder::SetBendAngle ( double  bendAngle)

Sets the bend angle setting.

Allows you to specify new angle for a segment connected at the RCP or Port being edited. Reference for angle measurement is the other segment connected at the RCP or Port being edited.

Is applicable only when there are two segments connected at RCP or Port being edited.


Created in NX11.0.0.

License requirements : routing_base ("Routing Basic")

Parameters
bendAnglebendangle
void NXOpen::MechanicalRouting::EditPointBuilder::SetDetachObject ( bool  isDetachObject)

Sets the detach setting.

Allows you to specify if the selected object has to be detached from the segment during transformation.


Created in NX11.0.0.

License requirements : routing_base ("Routing Basic")

Parameters
isDetachObjectisdetachobject
void NXOpen::MechanicalRouting::EditPointBuilder::SetMaintainAngle ( bool  maintainAngle)

Sets the maintain angle setting.

Allows you to specify if the angles between segments connected at the RCP or Port being edited must be fixed during transformation.


Created in NX11.0.0.

License requirements : routing_base ("Routing Basic")

Parameters
maintainAnglemaintainangle
void NXOpen::MechanicalRouting::EditPointBuilder::SetMaintainLength ( bool  maintainLength)

Sets the maintain length setting.

Allows you to specify if the lengths of segments connected at the RCP or Port being edited must be fixed during transformation.


Created in NX11.0.0.

License requirements : routing_base ("Routing Basic")

Parameters
maintainLengthmaintainlength
void NXOpen::MechanicalRouting::EditPointBuilder::SetSegment ( NXOpen::Line segment)

Sets the segment setting.

Allows you to specify a segment connected at the RCP or Port being edited.


Created in NX11.0.0.

License requirements : routing_base ("Routing Basic")

Parameters
segmentsegment
void NXOpen::MechanicalRouting::EditPointBuilder::SetSegmentLength ( double  segmentLength)

Sets the segment length setting.

Allows you to specify new length for a segment connected at the RCP or Port being edited.

New length is applied on the segment by moving the RCP or Port being edited.


Created in NX11.0.0.

License requirements : routing_base ("Routing Basic")

Parameters
segmentLengthsegmentlength
void NXOpen::MechanicalRouting::EditPointBuilder::StartDrag ( )

Begin a drag operation.

Creates a constraint network of routing objects connected to the routing object that is being edited.


Created in NX11.0.0.

License requirements : routing_base ("Routing Basic")

void NXOpen::MechanicalRouting::EditPointBuilder::StopDrag ( )

End a drag operation.

Applies the transforms obtained from solving the constraint network on routing objects.


Created in NX11.0.0.

License requirements : routing_base ("Routing Basic")

NXOpen::MechanicalRouting::TransformBlockBuilder* NXOpen::MechanicalRouting::EditPointBuilder::TransformTool ( )

Returns the transform tool.

Allows you to access the transform block object.


Created in NX11.0.0.

License requirements : routing_base ("Routing Basic")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.